Commit 1b4f18fd authored by Rafaël Carré's avatar Rafaël Carré
Browse files

contribs: automake 1.11 needs a recent autoconf

parent 03c9cf61
......@@ -299,16 +299,30 @@ CLEAN_FILE += .libtool
endif
# ***************************************************************************
# automake
# autotools
# ***************************************************************************
autoconf-$(AUTOCONF_VERSION).tar.bz2:
$(WGET) $(AUTOCONF_URL)
autoconf: autoconf-$(AUTOCONF_VERSION).tar.bz2
$(EXTRACT_BZ2)
.autoconf: autoconf
(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
touch $@
CLEAN_FILE += .autoconf
CLEAN_PKG += autoconf
DISTCLEAN_PKG += autoconf-$(AUTOCONF_VERSION).tar.bz2
automake-$(AUTOMAKE_VERSION).tar.gz:
$(WGET) $(AUTOMAKE_URL)
automake: automake-$(AUTOMAKE_VERSION).tar.gz
$(EXTRACT_GZ)
.automake: automake
.automake: automake .autoconf
(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
touch $@
......
......@@ -38,6 +38,8 @@ CMAKE_VERSION=2.6.4
CMAKE_URL=http://www.cmake.org/files/v2.6/cmake-$(CMAKE_VERSION).tar.gz
LIBTOOL_VERSION=2.2.10
LIBTOOL_URL=$(GNU)/libtool/libtool-$(LIBTOOL_VERSION).tar.gz
AUTOCONF_VERSION=2.68
AUTOCONF_URL=$(GNU)/autoconf/autoconf-$(AUTOCONF_VERSION).tar.bz2
AUTOMAKE_VERSION=1.11.1
AUTOMAKE_URL=$(GNU)/automake/automake-$(AUTOMAKE_VERSION).tar.gz
PKGCFG_VERSION=0.23
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment